General reference · Government Verification Sources / System Of Record Colombia

Colombia

Registraduría Nacional del Estado Civil (RNEC) and Migración Colombia

RNEC is Chile’s official government authority responsible for maintaining identification documents, civil records, and elections, while Migración Colombia is the official immigration authority responsible for maintaining non-citizen identification data. Incode’s platform supports verification of identity data against these databases as part of clients’ verification flows.

Verification Type

Verification Type Supported Document Types Data that can be verified
Data Identification Card (Cédula de Ciudadanía, Cédula de Extranjería), Permit Card (Permiso de Protección Temporal) Document Number, First Name, Middle Name, Paternal Last Name, Maternal Last Name, Issue Date

Standalone API

POST /omni/process/government-validation?countryCode=COL

Request Body

{
"documentNumber": "1023456789",
"firstName": "CAMILO",
"middleName": "ANDRES",
"paternalLastName": "RODRIGUEZ",
"maternalLastName": "PEREZ",
"issueDate": "2015/06/20"
}

Response Body

{
    "valid": true,
    "statusCode": 0,
    "governmentValidation": {
        "validationStatus": {
            "value": "0",
            "status": "OK",
            "key": "ok"
        },
        "ocrValidation": [
            { 
                "value": "true",
                "status": "OK",
                "key": "documentNumber"
            },
            { 
                "value": "true",
                "status": "OK",
                "key": "firstName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "middleName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "paternalLastName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "maternalLastName"
            },
            {
                "value": "true",
                "status": "OK",
                "key": "issueDate"
            }
        ],
        "ocrValidationOverall": {
            "value": "100.0",
            "status": "OK"
        },
        "overall": {
            "value": "100.0",
            "status": "OK"
        }
    }
}
Was this page helpful?